%define upstream_name    Class-Accessor-Class
%define upstream_version 0.503

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Simple class variable accessors
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Class::Accessor::Class provides a simple way to create accessor and mutator
methods for class variables, just as Class::Accessor provides for objects.
It can use either an enclosed lexical variable, or a package variable.

This module was once implemented in terms of Class::Accessor, but changes
to that module broke this relationship. Class::Accessor::Class is still a
subclass of Class::Accessor, strictly for historical reasons. As a side
benefit, a class that isa Class::Accessor::Class is also a Class::Accessor
and can use its methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.503.0-4pclos2017
- rebuild against updates

